<div class="row">
  <div class="col-sm-12 col-md-12 col-lg-12">
    <div class="backBtn" *ngIf="SUBJECT.ASSET | can:ACTIONS.WRITE">
      <button mat-raised-button color="warn" class="FR" *ngIf="deregisterBeaconExceptionArray.length === 0" disabled>Deregister <i class="fa fa-unlink" aria-hidden="true"></i></button>
      <button mat-raised-button color="warn" class="FR showDeregisterExceptionBeaconPopupBtn" *ngIf="deregisterBeaconExceptionArray.length > 0">Deregister <i class="fa fa-unlink" aria-hidden="true"></i></button>
    </div>
  </div>
  <div class="col-sm-12 col-md-12 col-lg-12 custom-control custom-checkbox" *ngIf="exceptionAssetsList.length > 0">
    <input type="checkbox" class="custom-control-input" id="selectAllCheckbox" [(ngModel)]="selectedAll" (change)="selectAll();">
    <label class="custom-control-label" for="selectAllCheckbox"><span>Select All To Deregister</span></label>
  </div>
  <div class="col-sm-12 col-md-4 col-lg-3" *ngFor="let asset of exceptionAssetsList | filter : searchForBeacon">
    <app-asset-card-exception [assetData]="asset" [isSelectAllClicked]="isSelectAll" (deregisterExceptionAssetData)="deregisterExceptionAssetData($event)"></app-asset-card-exception>
  </div>
  <div style="width: 100%"><h3 *ngIf="exceptionAssetsList.length === 0" class="asset-not-found"><span>&ldquo;</span>No exception assets found<span>&rdquo;</span></h3></div>
</div>

<app-alert-popup (confirmedDeregisteringExceptionBeacons)="confirmedDeregisteringExceptionBeacons($event)" [selectedExceptionAssetsCount]="selectedExceptionAssetsCount"></app-alert-popup>


<div *ngIf="isShowAsset">
  <app-loader></app-loader>
</div>
